### Method

# Adw PreferencesPageset_name

#### Declaration [src]

    void
    adw_preferences_page_set_name (
      AdwPreferencesPage* self,
      const char* name
    )

#### Description [src]

Sets the name of `self`.

Sets property | `Adw.PreferencesPage:name`

#### Parameters

`name`

  Type: `const char*`

  The name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.